Associated revisions
Revision bfebf680 - 08/26/2011 04:24 AM - J. Moringen
Added replay strategies in src/rsb/replay-strategies.lisp
refs #512
    -  src/rsb/replay-strategies.lisp: new file; contains basic replay

  strategy classes
    -  src/rsb/protocol.lisp (replay): new generic function; replay events

  using a given bag-connection and replay strategy
  (schedule-event): new generic function; compute the time at which an
  event should be replayed

    -  src/rsb/package.lisp (package rsbag.rsb): added used package
  rsbag.view; added exported symbols replay and schedule-event

    -  cl-rsbag.asd (system cl-rsbag): added file
  src/rsb/replay-strategies.lisp

Revision 72d2cc8b - 08/26/2011 04:24 AM - J. Moringen
Added bag->events methods in src/rsb/construction.lisp
refs #512
    -  src/rsb/construction.lisp (define-open-bag-method string): open a

  bag designated by a string
  (define-open-bag-method pathname): similar for pathname
  (bag->events bag uri): add channel connections and a replay strategy
  to a bag
  (bag->events channel uri): create a suitable informer for a bag
  channel

Revision 97d330fa - 08/26/2011 04:24 AM - J. Moringen
Fixed help string, added commandline options in bag-play/main.lisp
refs #512
    -  bag-play/main.lisp (make-help-string): new function; dedicated

  function for help string generation
  (main): call `make-help-string'; added commandline options  {start,end}-{time,index}; fixed printing channels in log output

Revision 6460bb5c - 08/26/2011 04:24 AM - J. Moringen
Improved commandline option processing in bag-play/main.lisp
refs #512
    -  bag-play/main.lisp (make-help-string): removed --all option in

  example
  (update-synopsis): removed all-channels commandline option; added
  channel commandline option
  (main): validate {start,end}-{time,index} commandline options; pass
  them to `bag->events'

Revision ed308d27 - 08/26/2011 04:24 AM - J. Moringen
Actually replay recorded events in bag-play/main.lisp
fixes #512
    -  bag-play/main.lisp (main): call replay instead of just sleeping

History
#1 - 08/23/2011 11:52 PM - J. Moringen
- Status changed from New to In Progress
- % Done changed from 0 to 70

#2 - 08/26/2011 04:26 AM - J. Moringen
- Status changed from In Progress to Resolved
- % Done changed from 70 to 100

Applied in changeset r81.

#3 - 08/26/2011 04:28 AM - J. Moringen
- Project changed from Robotics Service Bus to RSBag
- Category deleted (Common Lisp Tools)

#4 - 08/26/2011 04:29 AM - J. Moringen
Available here:
    -  0.4 i686
    -  0.4 x86_64
    -  0.5 i686
    -  0.5 x86_64
https://ci.cor-lab.de/job/cl-rsbag-tools-stable/label=ubuntu_lucid_32bit/
https://ci.cor-lab.de/job/cl-rsbag-tools-stable/label=ubuntu_lucid_64bit/
https://ci.cor-lab.de/job/cl-rsbag-tools/label=ubuntu_lucid_32bit/
https://ci.cor-lab.de/job/cl-rsbag-tools/label=ubuntu_lucid_64bit/

